## visad.meteorology
Class ImageSequenceManager

    java.lang.Object
      visad.meteorology.ImageSequenceManager

public class ImageSequenceManager
extends Object

A class to create and manage image sequences.

Constructor Summary
`ImageSequenceManager()` Create an empty image sequence.
`ImageSequenceManager(SingleBandedImage[] images)` Create an image sequence from the array of images.

Method Summary
`ImageSequence` `addImagesToSequence(SingleBandedImage[] images)` Add an array of images to the the sequence this object is managing.
`ImageSequence` `addImageToSequence(SingleBandedImage image)` Add an image to the the sequence this object is managing.
`void` `clearSequence()` Remove all images from the sequence.
`static ImageSequence` `createImageSequence(SingleBandedImage[] images)` Create an image sequence from an array of images.
`ImageSequence` `getImageSequence()` Get the sequence that this object is to manage.
`ImageSequence` `removeImageAtTime(DateTime time)` Remove an image from the sequence.
`void` `setImageSequence(ImageSequence newSequence)` Set the sequence that this object is to manage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageSequenceManager

    public ImageSequenceManager()
                         throws VisADException,
                                RemoteException

  Create an empty image sequence.

Throws:
  `VisADException` - Couldn't create an empty sequence.
  `RemoteException` - Couldn't create remote object.

### ImageSequenceManager

    public ImageSequenceManager(SingleBandedImage[] images)
                         throws VisADException,
                                RemoteException

  Create an image sequence from the array of images.

Parameters:
  `images` - array of images for the sequence.
Throws:
  `VisADException` - Couldn't create the necessary VisAD object
  `RemoteException` - Couldn't create remote object.

Method Detail

### createImageSequence

    public static ImageSequence createImageSequence(SingleBandedImage[] images)
                                             throws VisADException,
                                                    RemoteException

  Create an image sequence from an array of images.

  Parameters:
    `images` - array of images for the sequence.
  Returns:
    an ImageSequence
  Throws:
    `VisADException` - Couldn't create the sequence.
    `RemoteException` - Couldn't create remote object.

### addImageToSequence

    public ImageSequence addImageToSequence(SingleBandedImage image)
                                     throws VisADException,
                                            RemoteException

  Add an image to the the sequence this object is managing.

  Parameters:
    `image` - image to add
  Returns:
    sequence containing the new image.
  Throws:
    `VisADException` - Couldn't create the sequence.
    `RemoteException` - Couldn't create remote object.

### addImagesToSequence

    public ImageSequence addImagesToSequence(SingleBandedImage[] images)
                                      throws VisADException,
                                             RemoteException

  Add an array of images to the the sequence this object is managing.

  Parameters:
    `images` - images to add
  Returns:
    sequence containing the new images.
  Throws:
    `VisADException` - Couldn't create the sequence.
    `RemoteException` - Couldn't create remote object.

### removeImageAtTime

    public ImageSequence removeImageAtTime(DateTime time)
                                    throws VisADException

  Remove an image from the sequence.

  Parameters:
    `time` - time of image to remove
  Throws:
    `VisADException` - Couldn't create the sequence.

### clearSequence

    public void clearSequence()

  Remove all images from the sequence.

### setImageSequence

    public void setImageSequence(ImageSequence newSequence)
                          throws VisADException,
                                 RemoteException

  Set the sequence that this object is to manage.

  Parameters:
    `newSequence` - sequence to use (can't be null)
  Throws:
    `VisADException` - Couldn't create the sequence.
    `RemoteException` - Couldn't create remote object.

### getImageSequence

    public ImageSequence getImageSequence()

  Get the sequence that this object is to manage.

  Returns:
    sequence that is being managed.